Jump to content

MediaWiki:Common.css: Difference between revisions

From Scampsopedia
No edit summary
No edit summary
Tag: Reverted
Line 28: Line 28:
   transition-property: background-color, border;
   transition-property: background-color, border;
   background-color: var(--scamp-primary);
   background-color: var(--scamp-primary);
   border: 1px solid var(--scamp-primary-border);
   border: 2px solid var(--scamp-primary-border);
   border-radius: 4px;
   border-radius: 4px;
}
}

Revision as of 16:05, 14 January 2026

:root {
	--scamp-primary: #1C266E;
	--scamp-primary--hover: #2C367D;
	--scamp-primary-contrast: #FFF;
	--scamp-primary-border: #3D4C91;
	--scamp-primary-border--hover: #5A6EA8;
}


html.skin-theme-clientpref-night {
	
}

html.skin-theme-clientpref-os {
	
}

.scamp-link-button * {
	box-sizing: border-box;
}

.scamp-link-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  transition: none 0.2s ease;
  transition-property: background-color, border;
  background-color: var(--scamp-primary);
  border: 2px solid var(--scamp-primary-border);
  border-radius: 4px;
}

.scamp-link-button:hover {
  background-color: var(--scamp-primary--hover);
  border-color: var(--scamp-primary-border--hover);
}

.scamp-link-button a { 
  text-align: center;
  flex: 1;
  padding: 0.75rem 1rem;
  color: var(--scamp-primary-contrast);
  text-decoration: none;
}

.scamp-link-button:hover a,
.scamp-link-button:active a { 
  color: var(--scamp-primary-contrast);
}

.scamp-link-button a.external {
  background-image: none;
  padding: 0.75rem 1rem;
}